#!/bin/bash
while read -r dir
do
    echo "Checking dir '${dir}'..."
    last_file="${dir}/$(ls -ht -- "${dir}" | head -n1)"
    echo "Last modified file is '${last_file}'"
    last_file_time=$(stat -c %Y -- "${last_file}")
    echo "Last modification time of the file is '${last_file_time}'"
    last_file_time_formated=$(date -d "@${last_file_time}" +%Y%m%d%H%M.%S)
    echo "Last modification time formated is '${last_file_time_formated}'"
    touch -a -m -t "${last_file_time_formated}" -- "${dir}"
done <<< "$(find . -mindepth 1 -maxdepth 1 -type d)"
